typedef unsigned short WORD;
typedef unsigned char BYTE;
#define elemof(x) (sizeof(x)/sizeof(*(x)))

/*******************
 * Funktransceiver *
 *******************/

WORD rf_xfer(WORD data);

extern BYTE txch;	// Sende-Kanal (1..12), 0 = keine Belegung

// Kanal (Mittenfrequenz) setzen
void rf_setch(BYTE ch);

// Initialisierungssequenz
void rf_init();

// Modusumschaltung. Bit 0 = Sender EIN, Bit 1 = Empfänger EIN
void rf_mode(BYTE sw);

BYTE rf_tx(BYTE b);

#define rf_status() rf_xfer(0)

#define rf_rx() rf_tx(0);
